# Created by pyp2rpm-3.3.2
%global pypi_name google-auth-httplib2

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %mkrel 1
Summary:        Google Authentication Library: httplib2 transport
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/GoogleCloudPlatform/google-auth-library-python-httplib2
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(google-auth)
BuildRequires:  python3dist(httplib2) >= 0.9.1
BuildRequires:  python3dist(setuptools)

%description
httplib2 Transport for Google Auth |pypi|This library provides an httplib2_
transport for google-auth_... note:: httplib has lots of problems such as lack
of threadsafety and insecure usage of TLS. Using it is highly discouraged. This
library is intended to help existing users of oauth2client migrate to google-
auth... |pyp .. _httplib2: .. _google-auth:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(google-auth)
Requires:       python3dist(httplib2) >= 0.9.1
%description -n python3-%{pypi_name}
httplib2 Transport for Google Auth |pypi|This library provides an httplib2_
transport for google-auth_... note:: httplib has lots of problems such as lack
of threadsafety and insecure usage of TLS. Using it is highly discouraged. This
library is intended to help existing users of oauth2client migrate to google-
auth... |pyp .. _httplib2: .. _google-auth:


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test || true

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/google_auth_httplib2.py
%{python3_sitelib}/google_auth_httplib2-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Jan 30 2024 papoteur <papoteur> 0.2.0-1.mga10
+ Revision: 2036295
- new version 0.2.0

* Fri Apr 01 2022 umeabot <umeabot> 0.1.0-2.mga9
+ Revision: 1839599
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.1.0-1.mga9
+ Revision: 1784491
- version 0.1.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.0.3-4.mga9
+ Revision: 1733031
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.0.3-3.mga8
+ Revision: 1533079
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.0.3-2.mga8
+ Revision: 1443317
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.0.3-1.mga7
+ Revision: 1353229
- pyp2rpm

